Subject: ANNOUNCE: CGI::MozSniff 0.06 Posted.
From: [email-masked] (Jason Costomiris)
Date: 10 Nov 1997 04:41:11 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

The first public release of CGI::MozSniff has been released.  It can be
obtained from your friendly neighborhood CPAN.

What does it do?

Have you ever been annoyed by the fact that certain browsers, particularly
those originating from the Pacific Northwest corner of the US, call 
themselves "Mozilla", despite the fact that they are nothing of the kind?

This module parses $ENV{HTTP_USER_AGENT}, and returns various results
indicating what browser is *really* hitting your pages.

I consider it of Alpha quality at this point, not due to bugginess of code
(it does work fine), but due to lack of completeness.  I've accounted for
all versions of Netscape Navigator and Communicator, M$ IE 3.x and 4.x,
as well as the IE3/AOL browser.  I'm sure there are others that call 
themselves "Mozilla", and I'd be interested in those user agent strings.

It's available as: $CPAN/modules/by-module/CGI/MozSniff-0.06.tar.gz.

-- 
Jason Costomiris <><		| "VMS is about as secure as a poodle 
[email-masked]		|  encased in a block of lucite....
http://www.jasons.org/~jcostom/	|  .... about as useful, too."
#include <disclaimer.h>		|	   --some guy I read on Usenet